summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/tl-update-tlnet
diff options
context:
space:
mode:
Diffstat (limited to 'Master/tlpkg/bin/tl-update-tlnet')
-rwxr-xr-xMaster/tlpkg/bin/tl-update-tlnet12
1 files changed, 8 insertions, 4 deletions
diff --git a/Master/tlpkg/bin/tl-update-tlnet b/Master/tlpkg/bin/tl-update-tlnet
index 07c97a4fa36..63d85a834fc 100755
--- a/Master/tlpkg/bin/tl-update-tlnet
+++ b/Master/tlpkg/bin/tl-update-tlnet
@@ -11,7 +11,7 @@ unset LS_COLORS
yyyy=2014
-check_consistency=check-tlnet-consistency
+check_consistency=true
chicken=false
critical=
pretest=false
@@ -26,8 +26,8 @@ while test $# -gt 0; do
--critical) critical=--all;;
--dry-run|-n) chicken=true;;
--master) shift; Master=$1;;
- --no-consistency) check_consistency=true;; # takes a long time.
- --no-testinstall|-N) testinstall=false;; # and no updates; quit early.
+ --no-consistency) check_consistency=false;; # takes a long time.
+ --no-testinstall|-N) testinstall=false;; # and no updates; quit early.
--pretest) tlweb=/home/ftp/texlive/tlpretest;;
--recreate) recreate=--recreate;;
--scheme) shift; scheme=$1;;
@@ -192,10 +192,14 @@ if test $failure = false; then
for cmd in \
"$tltryinst/$yyyy/bin/*/tlmgr --repository $tltry update --list" \
"$tltryinst/$yyyy/bin/*/updmap-sys -n" \
- "$Master/tlpkg/bin/$check_consistency --location=$tltry" \
+ "$Master/tlpkg/bin/check-tlnet-consistency --location=$tltry" \
"$Master/tlpkg/bin/tl-compare-tlpdbs $critical $tltry/tlpkg/texlive.tlpdb" \
; do
cmdname=`echo "$cmd" | awk '{print $1}'`
+ if echo "$cmdname" | grep check-tlnet-consistency >/dev/null; then
+ # skip consistency check if requested (for development only).
+ $check_consistency || continue
+ fi
basecmd=`basename $cmdname`
echo "$0: Running $basecmd ($cmd)"
outfile=/tmp/tlnet.$basecmd